<?php
namespace ARCHM;

if ( ! defined('ABSPATH') ) {
    // phpcs:ignore Universal.PHP.RequireExitDieParentheses.Missing
    exit;
}

class Admin {
    /**
     * Initialize the class
     *
     * @author Siam Maruf
     * @since 1.0
     */
    public function __construct() {
        new \ARCHM\Admin\Assets();
        new \ARCHM\Admin\Menu();
        new \ARCHM\Admin\Notice();
        new \ARCHM\Admin\Translations();
        new \ARCHM\Admin\ArchivedOrderStatusFilter();
        add_action('admin_init', [ $this, 'initialize_column' ]);
    }

    /**
     * Initilizae column
     *
     * @return void
     */
    public function initialize_column() {
        new \ARCHM\Admin\ArchiveColumn();
    }
}
